### PHCScriptCDN Documentation
  
Ruby on Rails 7 engine to manage CDN script listings.
  
- Manage script CDN listings for websites.
- Main script title and description.
- Script versions and script URLs.
- [Pro version](https://bradpotts.github.io/phcscriptcdnpro/) has multi-tenancy capabilities.
  
#### Step 1 - Add PHCScriptCDN to your gemfile and run the install command
  
	gem 'phcscriptcdn'
	bundle install
  
#### Step 2 - Add [PHCDevworks Accounts Devise](https://github.com/phcdevworks/phcdevworks_accounts_devise) to your gemfile
This plugin is optimized for PHCDevworks Accounts which uses Devise.
  
	gem 'phcdevworks_accounts_devise'
	bundle install
    
#### Step 3 - Mount PHCScriptCDN & Add Routes
Mount PHCScriptCDN by adding code below to your routes file.
  
	mount PhcdevworksAccountsDevise::Engine, :at => '/'
	mount Phcscriptcdn::Engine, :at => '/'
  
#### Step 4 - Copy All Required Database Tables
To copy PHCScriptCDN and PHCDevworks Accounts Devise database migrations.
  
	rails railties:install:migrations
  
#### Step 5 - Recompile Assets
To ensure proper function re-compile your application's assets.
  
	rails assets:clobber && rails assets:precompile
  